import numpy as np
import matplotlib.pyplot as plt

PI = np.pi


fs = 20000
t = np.arange(0, 1, 1/fs)

fB = np.arange(0,2001,1)
fC = 10000

m = np.zeros_like(t)
for f in fB:
    m += np.cos(2*PI*f*t)*(-abs(f-1000)/1000 + 1)

c = np.cos(2*PI*fC*t)
s = m*c

plt.plot(np.arange(0,fs), abs(np.fft.fft(s)))

plt.show()
